- [HTTP request](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.dataStores.siteSearchEngine/recrawlUris#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.dataStores.siteSearchEngine/recrawlUris#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.dataStores.siteSearchEngine/recrawlUris#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.dataStores.siteSearchEngine/recrawlUris#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.dataStores.siteSearchEngine/recrawlUris#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.dataStores.siteSearchEngine/recrawlUris#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.dataStores.siteSearchEngine/recrawlUris#body.aspect_1)

Request on-demand recrawl for a list of URIs.

### HTTP request

Choose an endpoint:
global us   
`POST https://discoveryengine.googleapis.com/v1beta/{siteSearchEngine=projects/*/locations/*/dataStores/*/siteSearchEngine}:recrawlUris`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `siteSearchEngine` | `string` Required. Full resource name of the `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/SiteSearchEngine`, such as `projects/*/locations/*/collections/*/dataStores/*/siteSearchEngine`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "uris": [ string ], "siteCredential": string } ``` |

| Fields ||
|---|---|
| `uris[]` | `string` Required. List of URIs to crawl. At most 10K URIs are supported, otherwise an INVALID_ARGUMENT error is thrown. Each URI should match at least one `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.collections.dataStores.siteSearchEngine.targetSites#TargetSite` in `siteSearchEngine`. |
| `siteCredential` | `string` Optional. Credential ID to use for crawling. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/discoveryengine.readwrite`
- `https://www.googleapis.com/auth/discoveryengine.serving.readwrite`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `siteSearchEngine` resource:

- `discoveryengine.siteSearchEngines.recrawlUris`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).